It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like:Chrome,Firefox,Internet Explorer orOpera

×
Hi guys, I've recently downloaded Earth 2150 Trilogy and I'm trying to understand if the trilogy of games is already patched or not. In the summary of the game isn't specified if it is already updated and I can't find any patch on the net (links are broken or I find only the german patch).
Can you help me?
Rob
This question / problem has been solved by Petrellimage
Hey welcome to gog. The gog team usually patch games to the latest official version so no need to do this yourself. There are some exceptions I believe due to compatibility and such but I don't believe it is the case here so the game should already be patched.
As Ralackk said, GOG versions are patched to latest retail patch available barring compatibility issues. Some games have GOG's or unofficial fixes/patches applied as well when needed. And you can't generally use retail patches on GOG versions anyway as the retail patches restore any DRM and/or disk checks retail version of the game had rendering game inoperative.
Thank you for the useful answers.
Bye
Post edited August 15, 2010 by Robinson2000
avatar
Petrell: As Ralackk said, GOG versions are patched to latest retail patch available barring compatibility issues. Some games have GOG's or unofficial fixes/patches applied as well when needed. And you can't generally use retail patches on GOG versions anyway as the retail patches restore any DRM and/or disk checks retail version of the game had rendering game inoperative.
Earth 2150 is a special case.
Online, the game is only played with either the community patch or the OPX mod. (And you are incompatible if you got another version)
But, at the same time, the patch breaks the balance for the campaign.
So it would be really useful to know which version the game uses.
avatar
Petrell: As Ralackk said, GOG versions are patched to latest retail patch available barring compatibility issues. Some games have GOG's or unofficial fixes/patches applied as well when needed. And you can't generally use retail patches on GOG versions anyway as the retail patches restore any DRM and/or disk checks retail version of the game had rendering game inoperative.
avatar
vb4: Earth 2150 is a special case.
Online, the game is only played with either the community patch or the OPX mod. (And you are incompatible if you got another version)
But, at the same time, the patch breaks the balance for the campaign.
So it would be really useful to know which version the game uses.
GOG will only patch with the officially released patches, as that is what the game developers released. GOG will not provide games with community patches added. Some games will work with community and unofficial patches added, others may need a little messing around in order to get them working.
avatar
korell: GOG will only patch with the officially released patches, as that is what the game developers released. GOG will not provide games with community patches added. Some games will work with community and unofficial patches added, others may need a little messing around in order to get them working.
The issue is... The patch breaking the campaign is official, as far as I know. (Version 2.2, TMP and LS only)

Well, the only thing I want to know is what version this game has. If you start it, it will be shown in the main menu in the lower left corner.
Can anyone who bought the game from GoG look that up?
When I get home. Hope I can remember...

2.8.7.1 The game
2.1.0.1 TMP and LS
Post edited September 28, 2010 by Neikius